'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Button = require('./Button');

var _Button2 = _interopRequireDefault(_Button);

var _Dropdown = require('./Dropdown');

var _Dropdown2 = _interopRequireDefault(_Dropdown);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * Created by timur on 3/13/17.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */

var ButtonGroup = function (_React$Component) {
  _inherits(ButtonGroup, _React$Component);

  function ButtonGroup() {
    _classCallCheck(this, ButtonGroup);

    return _possibleConstructorReturn(this, (ButtonGroup.__proto__ || Object.getPrototypeOf(ButtonGroup)).apply(this, arguments));
  }

  _createClass(ButtonGroup, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          size = _props.size,
          toolbar = _props.toolbar,
          dropdown = _props.dropdown,
          title = _props.title,
          vertical = _props.vertical,
          justified = _props.justified,
          type = _props.type,
          style = _props.style,
          split = _props.split;


      if (toolbar) {
        return _react2.default.createElement(
          'div',
          {
            className: 'btn-toolbar',
            role: 'toolbar'
          },
          children
        );
      }

      var buttons = [].concat(children).map(function (child, i) {

        if (child === undefined) {
          return null;
        }

        if (child.type === 'button') {

          var button = _react2.default.createElement(
            _Button2.default,
            {
              key: i,
              size: size
            },
            child.props.children
          );

          if (justified) {
            return _react2.default.createElement(
              'div',
              {
                key: i,
                className: 'btn-group',
                role: 'group'
              },
              button
            );
          }

          return button;
        }

        return child;
      });

      var className = 'btn-group' + (vertical ? '-vertical' : '') + (justified ? ' btn-group-justified' : '');

      if (dropdown) {
        return _react2.default.createElement(
          _Dropdown2.default,
          {
            group: true,
            title: title,
            className: className,
            type: type,
            style: style,
            split: split
          },
          children
        );
      }

      return _react2.default.createElement(
        'div',
        {
          className: className,
          role: 'group',
          style: style
        },
        buttons
      );
    }
  }]);

  return ButtonGroup;
}(_react2.default.Component);

exports.default = ButtonGroup;